## ros-humble-grid-map-core 2.0.0

=== debian/changelog ===
ros-humble-grid-map-core (2.0.0-3bookworm) bookworm; urgency=high

  * Initial ROS2 port
  * Contributors: Maximilian Wulf, Steve Macenski

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 12 Sep 2022 16:00:00 -0000

ros-humble-grid-map-core (1.6.2-3bookworm) bookworm; urgency=high

  * Implements a grid map transformation from one map frame to another map frame given the transform between the frames.
    Authors:
    Co-authored-by: fabianje <mailto:fabian.jenelten@mavt.ethz.ch>
  * Contributors: fabianje

 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 13 Oct 2019 16:00:00 -0000

ros-humble-grid-map-core (1.6.1-3bookworm) bookworm; urgency=high

  * Updated host changes.
  * Updated author e-mail address.
  * Contributors: Peter Fankhauser, Péter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Tue, 26 Feb 2019 16:00:00 -0000

ros-humble-grid-map-core (1.6.0-3bookworm) bookworm; urgency=high

  * Added new sliding window iterator.
  * Added new thickenLine(), triangulation, and bounding box method to polygon.
  * Added unit tests for LineIterator with using move function.
  * Fixed cpp-check warnings and errors.
  * Fixed line iterator for moved maps (#119 <https://github.com/anybotics/grid_map/issues/119>).
  * Fixed error in SpiralIterator when center is outside the map (#114 <https://github.com/anybotics/grid_map/issues/114>).
  * Contributors: Péter Fankhauser, 2scholz, Remo Diethelm, Takahiro Miki, Tanja Baumann

 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 23 Nov 2017 16:00:00 -0000

ros-humble-grid-map-core (1.5.2-3bookworm) bookworm; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 24 Jul 2017 16:00:00 -0000

ros-humble-grid-map-core (1.5.1-3bookworm) bookworm; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 24 Jul 2017 16:00:00 -0000

ros-humble-grid-map-core (1.5.0-3bookworm) bookworm; urgency=high

  * Added new function for polygon triangulation.
  * Added Eigen macro for bit-alignment (#88 <https://github.com/anybotics/grid_map/issues/88>).
  * Added default copy constructor and assign operator methods after the rule of five.
  * Fixing return value in getQuadrant member function.
  * Fixing buffer handling bug for circular and ellipse iterators.
  * Capture case when both circles are the same in convexHullOfTwoCircles.
  * Fixing build error on ROS Kinetic.
  * Contributors: Peter Fankhauser, Sascha, Thomas Emter, Martin Wermelinger

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 17 Jul 2017 16:00:00 -0000

ros-humble-grid-map-core (1.4.2-3bookworm) bookworm; urgency=high

  * Added linear interpolation method for data access.
  * Increased efficiency for linear interpolation method.
  * Addressing C++ compiler warnings.
  * Contributors: Dominic Jud, Peter Fankhauser, Horatiu George Todoran

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 23 Jan 2017 16:00:00 -0000

ros-humble-grid-map-core (1.4.1-3bookworm) bookworm; urgency=high

  * Improved line iterator with start and end positions.
  * Added method to retrieve submap size for iterators.
  * Improved transformation of images to color grid map layers.
  * Fixing issues with order of include with Eigen (#67 <https://github.com/anybotics/grid_map/issues/67>).
  * Contributors: Peter Fankhauser, Dominic Jud

 -- Maximilian Wulf <mwulf@anybotics.com>  Sat, 22 Oct 2016 16:00:00 -0000

ros-humble-grid-map-core (1.4.0-3bookworm) bookworm; urgency=high

  * Added convenience function to convert a grid map to form with circular buffer at (0,0).
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 21 Aug 2016 16:00:00 -0000

ros-humble-grid-map-core (1.3.3-3bookworm) bookworm; urgency=high

  * Release for ROS Kinetic.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 16:00:00 -0000

ros-humble-grid-map-core (1.3.2-3bookworm) bookworm; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 16:00:00 -0000

ros-humble-grid-map-core (1.3.1-3bookworm) bookworm; urgency=high

  * Cleanup up Eigen types as preparation for ROS Kinetic release.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 16:00:00 -0000

ros-humble-grid-map-core (1.3.0-3bookworm) bookworm; urgency=high

  * Made the isInside checks const.
  * Fixes polygon iterator bug when using moved maps.
  * Added unit test for polygon iterator on a moved map.
  * Added comment about size of the returning submap.
  * Reduced test build warning.
  * Contributors: Peter Fankhauser, Martin Wermelinger, Marcus Liebhardt

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 25 Apr 2016 16:00:00 -0000

ros-humble-grid-map-core (1.2.0-3bookworm) bookworm; urgency=high

  * Improved efficiency for the Grid Map iterator (speed increase of 10x for large maps) (#45 <https://github.com/anybotics/grid_map/issues/45>).
  * New iterator_benchmark demo to exemplify the usage of the iterators and their computational performance (#45 <https://github.com/anybotics/grid_map/issues/45>).
  * Added new method to set the position of a grid map (#42 <https://github.com/anybotics/grid_map/pull/42>).
  * Added new move_demo to illustrate the difference between the move and setPosition method.
  * Fixed behavior of checkIfPositionWithinMap() in edge cases (#41 <https://github.com/anybotics/grid_map/issues/41>).
  * Updated documentation for spiral and ellipse iterator, and iterator performance.
  * const correctness for grid's getSubmap.
  * Cleanup of arguments and return types.
  * Contributors: Péter Fankhauser, Christos Zalidis, Daniel Stonier

 -- Maximilian Wulf <mwulf@anybotics.com>  Wed, 02 Mar 2016 16:00:00 -0000

ros-humble-grid-map-core (1.1.3-3bookworm) bookworm; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 10 Jan 2016 16:00:00 -0000

ros-humble-grid-map-core (1.1.2-3bookworm) bookworm; urgency=high

  * Should fix errors on build server regarding Eigen3 and visualization_msgs dependencies.


